
ACSA HK Bill Payment SDK - Bug #14343

[UAT - Backoffice] EPS Request Scheduler

19 September 2022 10:36 AM - wong yen chen

Status: Closed Start date: 19 September 2022

Priority: Normal Due date:  

Assignee: wong yen chen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Background

Encountered a multiple EPS request scheduler file sent to EPS while the previous response file is still pending from EPS. To recheck

the logic on the request scheduler.

Enhancement

Current Logic: Generate > Check > Write

New Logic: Check > Generate > Write

Expected Result

No multiple file will be sent to EPS prior to a response file from EPS.

History

#1 - 19 September 2022 04:39 PM - Shafiqah Rahni

- Status changed from New to Resolved

- Assignee changed from Shafiqah Rahni to wong yen chen

- % Done changed from 0 to 100

Revision: 219006

----

Modified : /ACSA/BillPaymentAPI/trunk/src/main/java/com/silverlake/mobility/billing/service/BillTrxService.java

Changes :

if previous EPS's Request response file hasn't processed, won't generate any file

Deployed to UAT1 & UAT2

#2 - 23 September 2022 03:55 PM - wong yen chen

- File Multiple Request Scheduler_VST1_Test Scheduler Request File.docx added

- Status changed from Resolved to Closed

Tested good.

Files

Multiple Request Scheduler_VST1_Test Scheduler Request File.docx 59.2 KB23 September 2022 wong yen chen

Powered by TCPDF (www.tcpdf.org)

21 April 2025 1/1

http://www.tcpdf.org

